

/* App Module */

angular.module('kanatrainer', ['ngRoute','tc.chartjs', 'kanatrainer.services', 'kanatrainer.directives', 'kanatrainer.filters']).
config(['$routeProvider', function($routeProvider) {
  $routeProvider.
  when('/memory', {templateUrl: 'partials/memory.html', controller: MemoryCtrl}).       
  when('/draw', {templateUrl: 'partials/draw.html', controller: DrawCtrl}).       
  when('/statistics', {templateUrl: 'partials/statistics.html', controller: StatisticsCtrl}).       
  when('/kanatable', {templateUrl: 'partials/kanatable.html', controller: KanaTableCtrl}).       
  when('/info', {templateUrl: 'partials/info.html'}).
  otherwise({redirectTo: '/memory'});
}])

.run(function(storageManager) { 
  storageManager.initialize();
});
